## trunk?format=zip&rev=34

=== IPs/systemC/processor/Morpheo/Tools/Viewer/Makefile ===
#############################################################################
# Makefile for building: bin/Viewer
# Generated by qmake (2.01a) (Qt 4.2.3) on: mer. mai 30 17:34:21 2007
# Project:  Viewer.pro
# Template: app app
# Command: /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/bin/qmake -unix -o Makefile Viewer.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DDBUG_PARSE -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W  $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/linux-g++ -I. -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtCore -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtCore -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtGui -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtGui -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtXml -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtXml -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include -I. -IBdd/include -IGraphics/include -IParser/include -I../.. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib
LIBS          = $(SUBLIBS)  -L/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib -lQtXml -L/dsk/l1/misc/kane/qt-x11-opensource-src-4.2.3/lib -pthread -pthread -lQtGui -L/usr/X11R6/lib -lpng -lSM -lICE -pthread -pthread -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtCore -lz -lm -pthread -lgthread-2.0 -lglib-2.0 -lpthread -ldl
AR            = ar cqs
RANLIB        = 
QMAKE         = /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = Bdd/src/Architecture_accessors.cpp \
		Bdd/src/BaseP_accessors.cpp \
		Bdd/src/Architecture_addComponent.cpp \
		Bdd/src/Architecture_alloc.cpp \
		Bdd/src/Architecture_searchComponent.cpp \
		Bdd/src/Architecture_unalloc.cpp \
		Bdd/src/BaseP_alloc.cpp \
		Bdd/src/BaseP_unalloc.cpp \
		Bdd/src/BaseV_accessors.cpp \
		Bdd/src/BaseV_addBaseP.cpp \
		Bdd/src/BaseV_afficheBaseConsole.cpp \
		Bdd/src/BaseV_afficheParamConsole.cpp \
		Bdd/src/BaseV_afficheLimitParamConsole.cpp \
		Bdd/src/BaseV_alloc.cpp \
		Bdd/src/BaseV_searchComponent.cpp \
		Bdd/src/BaseV_unalloc.cpp \
		Bdd/src/Component_accessors.cpp \
		Bdd/src/Component_addPortMap.cpp \
		Bdd/src/Component_alloc.cpp \
		Bdd/src/Component_getPosition.cpp \
		Bdd/src/Component_unalloc.cpp \
		Bdd/src/Coord_alloc.cpp \
		Bdd/src/Coord_unalloc.cpp \
		Bdd/src/Signal_unalloc.cpp \
		Bdd/src/ListePorts_getPortSouth.cpp \
		Bdd/src/Port_accessors.cpp \
		Bdd/src/Signal_alloc.cpp \
		Bdd/src/Port_alloc.cpp \
		Bdd/src/Signal_accessors.cpp \
		Bdd/src/Coord_accessors.cpp \
		Bdd/src/Port_unalloc.cpp \
		Bdd/src/ListePorts_getPortEast.cpp \
		Bdd/src/BaseV_getSignal.cpp \
		Bdd/src/PortMap_alloc.cpp \
		Bdd/src/Entity_alloc.cpp \
		Bdd/src/PortMap_unalloc.cpp \
		Bdd/src/ListePorts_alloc.cpp \
		Bdd/src/PortMap_accessors.cpp \
		Bdd/src/ListePorts_unalloc.cpp \
		Bdd/src/ListePorts_countPort.cpp \
		Bdd/src/ListePorts_getPortWest.cpp \
		Bdd/src/Entity_unalloc.cpp \
		Bdd/src/ListePorts_getPortNorth.cpp \
		Bdd/src/Entity_accessors.cpp \
		Bdd/src/ListePorts_addPort.cpp \
		Bdd/src/ListePorts_accessors.cpp \
		Bdd/src/ListePorts_searchPort.cpp \
		Bdd/src/LimitParam_accessors.cpp \
		Bdd/src/LimitParam_unalloc.cpp \
		Bdd/src/LimitParam_alloc.cpp \
		Bdd/src/BaseV_searchGroup.cpp \
		Bdd/src/BaseV_addGroup.cpp \
		Bdd/src/BaseV_addLink.cpp \
		Bdd/src/BaseV_searchLimitParam.cpp \
		Bdd/src/BaseV_addLimitParam.cpp \
		Bdd/src/BaseV_modify.cpp \
		Bdd/src/Group_accessors.cpp \
		Bdd/src/Group_alloc.cpp \
		Bdd/src/Group_addParam.cpp \
		Bdd/src/Group_unalloc.cpp \
		Bdd/src/Param_accessors.cpp \
		Bdd/src/Param_alloc.cpp \
		Bdd/src/Param_unalloc.cpp \
		Parser/src/Parse_createParam.cpp \
		Parser/src/Parse_alloc.cpp \
		Parser/src/Parse_save.cpp \
		Parser/src/Parse_closeBaseV.cpp \
		Parser/src/Parse_accessors.cpp \
		Parser/src/Parse_parser_pos.cpp \
		Parser/src/Parse_getBaseV.cpp \
		Parser/src/Parse_unalloc.cpp \
		Parser/src/Parse_open_file.cpp \
		Parser/src/Parse_open_file_param.cpp \
		Parser/src/Parse_parser_param.cpp \
		Parser/src/Parse_parser_limitparam.cpp \
		Graphics/src/Graphics_main.cpp \
		Graphics/src/Graphics_file_actions.cpp \
		Graphics/src/Graphics_tools_actions.cpp \
		Graphics/src/Graphics_about_actions.cpp \
		Graphics/src/Graphics_main_window.cpp \
		Graphics/src/Graphics_informations_window.cpp \
		Graphics/src/Graphics_drawPort.cpp \
		Graphics/src/Graphics_parameters_window.cpp \
		Graphics/src/Graphics_setParse.cpp \
		Graphics/src/Graphics_drawAll.cpp \
		Graphics/src/Graphics_mouseEvent.cpp moc_window.cpp
OBJECTS       = obj/Architecture_accessors.o \
		obj/BaseP_accessors.o \
		obj/Architecture_addComponent.o \
		obj/Architecture_alloc.o \
		obj/Architecture_searchComponent.o \
		obj/Architecture_unalloc.o \
		obj/BaseP_alloc.o \
		obj/BaseP_unalloc.o \
		obj/BaseV_accessors.o \
		obj/BaseV_addBaseP.o \
		obj/BaseV_afficheBaseConsole.o \
		obj/BaseV_afficheParamConsole.o \
		obj/BaseV_afficheLimitParamConsole.o \
		obj/BaseV_alloc.o \
		obj/BaseV_searchComponent.o \
		obj/BaseV_unalloc.o \
		obj/Component_accessors.o \
		obj/Component_addPortMap.o \
		obj/Component_alloc.o \
		obj/Component_getPosition.o \
		obj/Component_unalloc.o \
		obj/Coord_alloc.o \
		obj/Coord_unalloc.o \
		obj/Signal_unalloc.o \
		obj/ListePorts_getPortSouth.o \
		obj/Port_accessors.o \
		obj/Signal_alloc.o \
		obj/Port_alloc.o \
		obj/Signal_accessors.o \
		obj/Coord_accessors.o \
		obj/Port_unalloc.o \
		obj/ListePorts_getPortEast.o \
		obj/BaseV_getSignal.o \
		obj/PortMap_alloc.o \
		obj/Entity_alloc.o \
		obj/PortMap_unalloc.o \
		obj/ListePorts_alloc.o \
		obj/PortMap_accessors.o \
		obj/ListePorts_unalloc.o \
		obj/ListePorts_countPort.o \
		obj/ListePorts_getPortWest.o \
		obj/Entity_unalloc.o \
		obj/ListePorts_getPortNorth.o \
		obj/Entity_accessors.o \
		obj/ListePorts_addPort.o \
		obj/ListePorts_accessors.o \
		obj/ListePorts_searchPort.o \
		obj/LimitParam_accessors.o \
		obj/LimitParam_unalloc.o \
		obj/LimitParam_alloc.o \
		obj/BaseV_searchGroup.o \
		obj/BaseV_addGroup.o \
		obj/BaseV_addLink.o \
		obj/BaseV_searchLimitParam.o \
		obj/BaseV_addLimitParam.o \
		obj/BaseV_modify.o \
		obj/Group_accessors.o \
		obj/Group_alloc.o \
		obj/Group_addParam.o \
		obj/Group_unalloc.o \
		obj/Param_accessors.o \
		obj/Param_alloc.o \
		obj/Param_unalloc.o \
		obj/Parse_createParam.o \
		obj/Parse_alloc.o \
		obj/Parse_save.o \
		obj/Parse_closeBaseV.o \
		obj/Parse_accessors.o \
		obj/Parse_parser_pos.o \
		obj/Parse_getBaseV.o \
		obj/Parse_unalloc.o \
		obj/Parse_open_file.o \
		obj/Parse_open_file_param.o \
		obj/Parse_parser_param.o \
		obj/Parse_parser_limitparam.o \
		obj/Graphics_main.o \
		obj/Graphics_file_actions.o \
		obj/Graphics_tools_actions.o \
		obj/Graphics_about_actions.o \
		obj/Graphics_main_window.o \
		obj/Graphics_informations_window.o \
		obj/Graphics_drawPort.o \
		obj/Graphics_parameters_window.o \
		obj/Graphics_setParse.o \
		obj/Graphics_drawAll.o \
		obj/Graphics_mouseEvent.o \
		obj/moc_window.o
DIST          = /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/unix.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/g++.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/linux.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/qconfig.pri \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_functions.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_config.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/exclusive_builds.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_pre.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/debug.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_post.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/unix/thread.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/moc.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/warn_on.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/resources.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/uic.prf \
		Viewer.pro
QMAKE_TARGET  = Viewer
DESTDIR       = bin/
TARGET        = bin/Viewer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Viewer.pro  /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/linux-g++/qmake.conf /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/unix.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/g++.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/linux.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/qconfig.pri \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_functions.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_config.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/exclusive_builds.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_pre.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/debug.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_post.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/unix/thread.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/moc.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/warn_on.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/resources.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/uic.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib/libQtXml.prl \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib/libQtCore.prl \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile Viewer.pro
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/unix.conf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/g++.conf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/linux.conf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/qconfig.pri:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_functions.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_config.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/exclusive_builds.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_pre.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/debug.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_post.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/unix/thread.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt.prf:
