=== IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile ===
# 
# $Id$
# 
# [Description ]
# 
# Makefile
# 

#-----[Directory ]----------------------------------------
DIR_COMPONENT			= .
include				$(DIR_COMPONENT)/Makefile.defs

#-----[Library ]------------------------------------------
LIBRARY				= $(DIR_LIB)/libRegisterFile_Multi_Banked.a


#-----[include ]------------------------------------------

all				:
				@$(MAKE) all_component

include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
